Package org.springframework.orm.hibernate5

# Class SpringFlushSynchronization

java.lang.Object
org.springframework.orm.hibernate5.SpringFlushSynchronization

All Implemented Interfaces:
  `Flushable`, `org.springframework.core.Ordered`, `org.springframework.transaction.support.TransactionSynchronization`

public class SpringFlushSynchronization extends Object implements org.springframework.transaction.support.TransactionSynchronization
Simple synchronization adapter that propagates a `flush()` call to the underlying Hibernate Session. Used in combination with JTA.

Since:
  4.2
Author:
  Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization

`STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`SpringFlushSynchronization(Session session)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`void`
`flush()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.transaction.support.TransactionSynchronization

`afterCommit, afterCompletion, beforeCommit, beforeCompletion, getOrder, resume, savepoint, savepointRollback, suspend`

## Constructor Details

### SpringFlushSynchronization

public SpringFlushSynchronization(Session session)

## Method Details

### flush

public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in interface `org.springframework.transaction.support.TransactionSynchronization`

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`